Bug 206492 - Review Request: ssss - Shamir's secret sharing scheme
Review Request: ssss - Shamir's secret sharing scheme
Status: CLOSED DUPLICATE of bug 206494
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-14 14:04 EDT by Paul Wouters
Modified: 2010-11-02 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-16 02:24:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2006-09-14 14:04:42 EDT
Spec URL: ftp://ftp.xelerance.com/ssss/ssss.spec
SRPM URL: ftp://ftp.xelerance.com/ssss/ssss-0.5-1.src.rpm
Description: 
ssss is an implementation of Shamir's secret sharing scheme.  ssss does
both: the generation of shares for a known secret and the reconstruction
of a secret using user provided shares.
Comment 1 Jochen Schmitt 2006-09-14 14:13:11 EDT
Good:
+ rpmlint don't complaints source rpm.

Bad:
- Local build complaints:
cc1: error: unrecognized command line option "-fasynchronous-unwind-tables/-O2"
Fehler: Fehler-Status beim Beenden von /var/tmp/rpm-tmp.11940 (%build)
Comment 2 Paul Wouters 2006-09-14 22:28:39 EDT
Thanks for checking the package. It was an odd error on my end. I used:

gcc $RPM_OPT_FLAGS/%{optflags} -lgmp -o ssss-split ssss.c

Of course, I should have used either $RPM_OPT_FLAGS or %{optflags}

Oddly enough, it built fine on my x86_64 with those broken flags. But I fixed it
now:

Spec URL: ftp://ftp.xelerance.com/ssss/ssss.spec
SRPM URL: ftp://ftp.xelerance.com/ssss/ssss-0.5-2.src.rpm
Comment 3 Paul Wouters 2006-09-16 02:24:21 EDT

*** This bug has been marked as a duplicate of 206494 ***
Comment 4 Christoph Wickert 2006-12-01 21:24:18 EST
Marking as bug #201449
Comment 5 Paul Wouters 2007-01-22 17:01:42 EST
actually not, it was approved in
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=206494
Comment 6 Thomas Spura 2010-11-02 12:46:21 EDT
ssss is in fedora, so don't block FE-DEADREVIEW

Note You need to log in before you can comment on or make changes to this bug.